Package fr.gouv.vitam.worker.common.utils

# Class ArchiveUnitAtrExtra

java.lang.Object
fr.gouv.vitam.worker.common.utils.ArchiveUnitAtrExtra

public class ArchiveUnitAtrExtra extends Object
The class DataObjectAtrExtra is storing the Object extra fields detail

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<PersistentIdentifierModel>`
  `persistentIdentifier`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ArchiveUnitAtrExtra()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `getArchivalAgencyArchiveUnitIdentifier()`
  `List<String>`
  `getFilePlanPosition()`
  `String`
  `getId()`
  `List<String>`
  `getOriginatingAgencyArchiveUnitIdentifier()`
  `List<String>`
  `getOriginatingSystemId()`
  `List<PersistentIdentifierModel>`
  `getPersistentIdentifier()`
  `String`
  `getSystemId()`
  `List<String>`
  `getTransferringAgencyArchiveUnitIdentifier()`
  `void`
  `setArchivalAgencyArchiveUnitIdentifier(List<String> archivalAgencyArchiveUnitIdentifier)`
  `void`
  `setFilePlanPosition(List<String> filePlanPosition)`
  `void`
  `setId(String id)`
  `void`
  `setOriginatingAgencyArchiveUnitIdentifier(List<String> originatingAgencyArchiveUnitIdentifier)`
  `void`
  `setOriginatingSystemId(List<String> originatingSystemId)`
  `void`
  `setPersistentIdentifier(List<PersistentIdentifierModel> persistentIdentifier)`
  `void`
  `setSystemId(String systemId)`
  `void`
  `setTransferringAgencyArchiveUnitIdentifier(List<String> transferringAgencyArchiveUnitIdentifier)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### persistentIdentifier

    protected List<PersistentIdentifierModel> persistentIdentifier

- ## Constructor Details

  - ### ArchiveUnitAtrExtra

    public ArchiveUnitAtrExtra()

- ## Method Details

  - ### getId

    public String getId()

  - ### setId

    public void setId(String id)

  - ### getFilePlanPosition

    public List<String> getFilePlanPosition()

  - ### setFilePlanPosition

    public void setFilePlanPosition(List<String> filePlanPosition)

  - ### getSystemId

    public String getSystemId()

  - ### setSystemId

    public void setSystemId(String systemId)

  - ### getOriginatingSystemId

    public List<String> getOriginatingSystemId()

  - ### setOriginatingSystemId

    public void setOriginatingSystemId(List<String> originatingSystemId)

  - ### getArchivalAgencyArchiveUnitIdentifier

    public List<String> getArchivalAgencyArchiveUnitIdentifier()

  - ### setArchivalAgencyArchiveUnitIdentifier

    public void setArchivalAgencyArchiveUnitIdentifier(List<String> archivalAgencyArchiveUnitIdentifier)

  - ### getOriginatingAgencyArchiveUnitIdentifier

    public List<String> getOriginatingAgencyArchiveUnitIdentifier()

  - ### setOriginatingAgencyArchiveUnitIdentifier

    public void setOriginatingAgencyArchiveUnitIdentifier(List<String> originatingAgencyArchiveUnitIdentifier)

  - ### getTransferringAgencyArchiveUnitIdentifier

    public List<String> getTransferringAgencyArchiveUnitIdentifier()

  - ### setTransferringAgencyArchiveUnitIdentifier

    public void setTransferringAgencyArchiveUnitIdentifier(List<String> transferringAgencyArchiveUnitIdentifier)

  - ### getPersistentIdentifier

    public List<PersistentIdentifierModel> getPersistentIdentifier()

  - ### setPersistentIdentifier

    public void setPersistentIdentifier(List<PersistentIdentifierModel> persistentIdentifier)